//**************************************************************************
//
// Copyright (c) 1997.
//      Richard D. Irwin, Inc.
//
// This software may not be distributed further without permission from
// Richard D. Irwin, Inc.
//
// This software is distributed WITHOUT ANY WARRANTY. No claims are made
// as to its functionality or purpose.
//
// Author: Devon Lockwood
// Date: 1/30/97
// $Revision: 1.1 $
// $Name: $
//
//**************************************************************************
/* EzWindows Library Header File
   FILE:        vshape.h
   AUTHORS:     James P. Cohoon and Jack W. Davidson
   EDITED BY:   Devon Lockwood
   Time-stamp:  <97/01/17 18:54:35 dcl3a>

   Description
   ===========
   Shape - base class for shapes that can be displayed
           in a window. Shape is derived from WindowObject. 
           This shape provides the ability to draw virtually. 
*/
#ifndef SHAPE_H
#define SHAPE_H

#include "wobject.h"


class Shape : public WindowObject {
   public:
      Shape(SimpleWindow   &w, 
            const Position &p,
	    const color    &c = Red);
	       
      color GetColor() const;
      void  SetColor(const color &c);

      virtual void Draw() = 0; // pure virtual function!
	
   private:
      color Color;
};

#endif

